package com.bocloud.cmp.model.hmc.pcm;

public class PartitionMemory {
    private Long poolId;
    private Long weight;
    private Double logicalMem;
    private Double backedPhysicalMem;
    private Double totalIOMem;
    private Double mappedIOMem;
    private Double assignedMem;

    public Long getPoolId() {
        return poolId;
    }

    public void setPoolId(Long poolId) {
        this.poolId = poolId;
    }

    public Long getWeight() {
        return weight;
    }

    public void setWeight(Long weight) {
        this.weight = weight;
    }

    public Double getLogicalMem() {
        return logicalMem;
    }

    public void setLogicalMem(Double logicalMem) {
        this.logicalMem = logicalMem;
    }

    public Double getBackedPhysicalMem() {
        return backedPhysicalMem;
    }

    public void setBackedPhysicalMem(Double backedPhysicalMem) {
        this.backedPhysicalMem = backedPhysicalMem;
    }

    public Double getTotalIOMem() {
        return totalIOMem;
    }

    public void setTotalIOMem(Double totalIOMem) {
        this.totalIOMem = totalIOMem;
    }

    public Double getMappedIOMem() {
        return mappedIOMem;
    }

    public void setMappedIOMem(Double mappedIOMem) {
        this.mappedIOMem = mappedIOMem;
    }

    public Double getAssignedMem() {
        return assignedMem;
    }

    public void setAssignedMem(Double assignedMem) {
        this.assignedMem = assignedMem;
    }
}
